Hai Adachinです。

久しぶりにMacbrew update;brew upgradeしたらtmuxのバージョンが2.1になりました。

 

で?

新しくセッションを作成するとこんなエラーが出たのです。


■エラーの原因を掴む

mouse関係にエラーが・・・

基本ペイン間の移動はTrackpadでポチポチ移動したり、幅を変えたりしてます。

ホントは効率よく仕事するならキーボードでやればいいんだけどね(´・ω・`)

とりあえずtmuxの公式サイトで確認してみました。

https://raw.githubusercontent.com/tmux/tmux/master/CHANGES

!?
ほほう!


■対策

~/.tmux.conf

これだけ記述すればmouse関連は問題ないということ!


■まとめ

他にも変わってるところあるかもしれないのでなにかあったらブログします。

踏み台サーバにあるtmuxもアップグレードしたほうがいいのかな・・・

ちなみに自分の.tmux.confはこんな感じです。

参考:https://tmux.github.io/

The following two tabs change content below.

あだちん

1989年生まれ。 ランサーズ/SRE。 2013年新卒に自宅サーバを構築し、技術ブログを立ち上げた。 ホスティングから大規模なアドテクなどのインフラエンジニアとして携わり、他社インフラレスポンス改善、ランサーズにてサーバ系のお仕事も副業で行っている。未経験によるエンジニア勉強会なども実施している。そして「脆弱性スキャナVuls」のOSS活動もしており、広報/エバンジェリスト/VulsRepo init file,chatwork通知のコントリビュータでもある。現在は分析基盤を担当しておりDigdag,embulk,BigQueryを使いこなそうと奮闘中。

コメントを残す

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください